import { JavaObject } from '../../../java/lang/JavaObject';
export declare class DBSchemaListeEintrag extends JavaObject {
    name: String | null;
    isDefault: boolean;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): DBSchemaListeEintrag;
    static transpilerToJSON(obj: DBSchemaListeEintrag): string;
    static transpilerToJSONPatch(obj: Partial<DBSchemaListeEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_db_DBSchemaListeEintrag(obj: unknown): DBSchemaListeEintrag;
